Backgroundrb + Windows

Alguien que haya instalado y usado el backgroundrb en Windows
exitósamente que me ayude.
Tengo problemas después de instalarlo

Lo instalo así

cd RAILS_ROOT/vendor/plugins
svn co http://svn.devjavu.com/backgroundrb/tags/release-0.2.1
backgroundrb
cd RAILS_ROOT
rake backgroundrb:setup

Cuando trato de generar un worker me dá un error

ruby script\generate worker nada
C:/ruby/lib/ruby/1.8/pathname.rb:341:in lstat': Invalid argument - /C:/xxx/railsapp/./script/../config (Errno::EINVAL) from C:/ruby/lib/ruby/1.8/pathname.rb:341:inrealpath’
from
./script/…/config/…/vendor/plugins/backgroundrb/lib/middleman_rails_init.rb:2
from
C:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
require' from ./script/../config/../vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb:147:inrequire’
from
./script/…/config/…/vendor/plugins/backgroundrb/init.rb:2:in
load_plugin' from ./script/../config/../vendor/rails/railties/lib/initializer.rb:348:inload_plugin’
from
./script/…/config/…/vendor/rails/activerecord/lib/…/…/activesupport/lib/active_support/core_ext/kernel/reporting.rb:11:in
silence_warnings' from ./script/../config/../vendor/rails/railties/lib/initializer.rb:348:inload_plugin’
from
./script/…/config/…/vendor/rails/railties/lib/initializer.rb:158:in
load_plugins' from ./script/../config/../vendor/rails/railties/lib/initializer.rb:158:inload_plugins’
from
./script/…/config/…/vendor/rails/railties/lib/initializer.rb:102:in
process' from ./script/../config/../vendor/rails/railties/lib/initializer.rb:42:inrun’
from ./script/…/config/…/config/environment.rb:13
from
C:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
require' from ./script/../config/../vendor/rails/railties/lib/commands/generate.rb:1 from C:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:inrequire’
from script/generate:3

También me da error cuando trato de subir el servidor Drb

ruby script\backgroundrb start
C:/ruby/lib/ruby/1.8/pathname.rb:341:in lstat': Invalid argument - /C:/xxx/railsapp/script (Errno::EINVAL) from C:/ruby/lib/ruby/1.8/pathname.rb:341:inrealpath’
from script/backgroundrb:4

Gracias por su ayuda

Me respondo a mi mismo

Backgroundrb 0.2.x NO funciona para Windows … es necesario usar una
versión anterior a 0.2.x,

Como la disponible aquí

svn co svn://rubyforge.org//var/svn/backgroundrb

Me respondo a mi mismo

Backgroundrb 0.2.x NO funciona para Windows … es necesario usar una
versión anterior a 0.2.x,

Como la disponible aquí

svn co svn://rubyforge.org//var/svn/backgroundrb

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs